@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;

    --color-prima: rgba(13, 13, 13, 1);
    --color-sekunda: rgba(56, 155, 242, 1);
    --color-terca: rgba(65, 64, 66, 1);
    --color-kvarta: rgba(109, 110, 113, 1);
    --color-kvinta: rgba(255, 255, 255, 1);
    --color-seksta: rgba(22, 51, 35, 1);
    --color-septima: rgba(32, 90, 140, 1);
    --color-oktava: rgba(153, 208, 242, 1);
    --color-nona:rgba(0, 0, 0, 1);
}


html {
    scroll-behavior: smooth;
    overflow-x: hidden;
}
body{
    background-color:var(--color-kvinta);
    overflow-x: hidden;
}
body p{
    font-size: 1.2em;
}


.logo{
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    height: 80px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1;
    transition: 0.7s ease-in;
}
.logo.scroll{
    background-color: rgba(0, 0, 0, 1);
}
.logo svg{
    width: clamp(1rem, 2.5rem + 10vw, 6.5rem);
    z-index: 1;
}

.logo img{
    width: clamp(100px, 40%, 220px);
    height:clamp(14px, 50px);
    z-index: 1;
}
.navbar{
    width: 300px;
    height: 100%;
    background: var(--color-prima); 
    position: fixed;
    top: 0;
    right: -300px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: right .8s cubic-bezier(1, 0, 0, 1);
    z-index: 5;
}
.change{
    right: 0;
}
.hamburger-menu{
    position: fixed;
    width: 35px;
    height: 30px;
    top: 24px;
    right: 40px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.line{
    width: 100%;
    height: 2px;
    background-color: var(--color-kvinta);
    transition: all 0.8s;
}

.change .line-1{
    transform: rotateZ(-405deg) translate(-8px, 6px);
}
.change .line-2{
    opacity: 0;
}
.change .line-3{
    transform: rotateZ(405deg) translate(-8px, -6px);
}


.nav-list{
    text-align: right;
    
}

.nav-item{
    list-style-type: none;
    margin: 2em 1em;
}

.nav-link{
    text-decoration: none;
    font-size: 1.2em;
    color: var(--color-kvarta);
    font-weight: 400;
    letter-spacing: 0.1em;
    text-transform: uppercase;
    position: relative;
    padding: 3px 0;
}

.nav-link::before, .nav-link::after{
    content: "";
    width: 100%;
    height: 2px;
    background-color: var(--color-sekunda);
    position:absolute;
    left: 0;
    transform: scaleX(0);
    transition: transform 0.5s;
}
.nav-link::after{
    bottom: 0;
    transform-origin: right;
}

.nav-link::before{
    top: 0;
    transform-origin: left;
}

.nav-link:hover::before, .nav-link:hover::after{
    transform: scaleX(1);
}

.lang{
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}
.lang span{
    margin: 5px 0 5px 0;
}

.nav-overlay{
    position:absolute;
    top:0;
    right:0;
    bottom:0;
    left:0;
    background-color:rgba(0,0,0,0.5);
    z-index:1;
    opacity:0;
    visibility:hidden;
    -webkit-transition-duration: 0.3s;
    -o-transition-duration: 0.3s;
    transition-duration: 0.3s;
    width: 100%;
    height: 100vh;
}
.nav-overlay.active{
    opacity:1;
    visibility:visible;
}



section.content{
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 0 auto 2em;
    padding: 3em 5em; 
    color: var(--color-terca);
    transform: translateX(400%);
    transition: transform 1s ease;
}
section.content:nth-of-type(even){
    transform: translateX(-400%);
}
section.content.show{
    transform: translateX(0);
}
section.content.kontakt{
    margin-bottom: 0;
}
section.content h1{
    font-size: clamp(1rem, -0.875rem + 8.333vw, 3.5rem);
    margin-bottom: 1em;
    text-transform: uppercase;
    font-weight: 900;
    letter-spacing: 0.15em;
} 
section.content h2{
    font-size: clamp(1rem, -0.875rem + 6.5vw, 1.5rem);
    margin-bottom: 1em;
    font-weight: 500;
    
} 
section.content h3{
    font-size: clamp(1rem, -0.875rem + 6.5vw, 1.5rem);
    margin-bottom: 1em;
    font-weight: 700;
}


/* HERO */
.hero{
    background-image: url('../img/hero-bckg.jpg') ;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    object-fit: cover;
    height: 700px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    /* animation: scale 5s ease; */
    overflow: hidden;
}
/* @keyframes scale{
    0% {
        transform: scale(1.1);
    }
    100% {
        transform: scale(1);
    }
} */

.hero h1{
    color: var(--color-kvinta);
    font-size: 60px;
    text-transform: uppercase;
}

/* COUNTER */
.sectionCounter{
    background-color: var(--color-nona);
    display: flex;
    justify-content: center;
    align-items: center; 
    position: relative;
}
.counter-containers{
   display: flex;
   justify-content: space-around;
   align-items: center;
   flex-wrap: wrap;
   width: 100%;
   margin-top: -95px;
}
.counter-container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 20px 20px;
    margin-bottom: 40px;
    position: relative;
    width:25%;
    height: 300px;
}
.counter-container i {
    font-size: clamp(2rem, -0.875rem + 6.5vw, 3rem);
    color: var(--color-sekunda);
    margin-bottom: 15px;
}
.counter-container .counter{
    font-size: clamp(2rem, -0.875rem + 6.5vw, 3rem);
    font-weight: 900;
    color: var(--color-kvinta);
    margin-bottom: 20px;
    transition: all 1s ease-in;
}
.counter-container span{
    font-size: clamp(1rem, -0.875rem + 6.5vw, 2rem);
    text-transform: uppercase;
    color: var(--color-kvarta);
    transition: all 1s ease-in;
}


/* O NAMA */
.o-nama-content{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;
}
.o-nama-text{
    flex-basis: 50%;
}
.o-nama-img{
    flex-basis: 50%;
    text-align: center;
}
.o-nama-img img{
    width: 70%;
    margin: 0 25px;
}





/* SERTIFIKATI */
.sertifikat {
    background-color: var(--color-septima);
    color: var(--color-prima);
    padding-top: 0;
}
.sertifikat h1{
    color: var(--color-kvinta);
}
.sertifikat p{
    color: var(--color-kvinta);
}
div.gallery-sertifikati {
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    padding: 50px 0 0 0;
    flex-wrap: wrap;
}
div.gallery-sertifikati img{
    margin: 10px;
    width: 120px;
    object-fit: cover;
}



/* USLUGE */
.usluge{
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 0 auto;
    padding: 0; 
    color: var(--color-terca);
}
.usluge h1{
    font-size: clamp(1rem, -0.875rem + 8.333vw, 3.5rem);
    margin-bottom: 1em;
    text-transform: uppercase;
    font-weight: 900;
    letter-spacing: 0.15em;
} 
.usluge-container{
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    
}
.usluga{
    flex-basis: 100%;
    padding: 35px;
    color: var(--color-kvinta);
}
.usluga h3{
    margin: 20px 0;
    text-align: center;
    text-transform: uppercase;
}
.usluga img{
    width: 500px;
}
.usluga:nth-child(1){
    background-color: var(--color-sekunda);
    margin-top: 30px;
}
.usluga:nth-child(2){
    background-color: var(--color-septima);
}
.usluga:nth-child(3){
    background-color: var(--color-sekunda);    
}
.usluga:nth-child(4){
    background-color: var(--color-septima);
}
.usluga:nth-child(5){
    background-color: var(--color-sekunda);    
}
.usluga-content{
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: center;
}
.usluga-text{
    padding: 10px;
}
.usluga-img img{
    padding: 10px;
}

/* GALERIJA */

#galerija{
    background-color: var(--color-septima);
}
#galerija h1{
    color: var(--color-kvinta);
}
div.gallery {
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    padding: 50px 0 0 0;
    max-width: 1100px;
    
    flex-wrap: wrap;
}
div.gallery img{
    margin: 10px;
    width: 220px;
    height: 180px;
    object-fit: cover;
}

/* REFERENCE */
.ref-pdf{
    margin-top: 20px;
}
.ref-pdf a{
    text-decoration: none;
    color: var(--color-prima);
    transition: all 0.5s;
}
.ref-pdf a:hover{
    color: var(--color-septima);
}
.ref-pdf i{
    margin-left: 15px;
}

h2.klijenti-tittle{
    text-transform: uppercase;
    margin-top: 100px;
    font-weight: bold;
}


/* SLICK SLIDER */
.slick-slider {
position: relative;
display: flex;
justify-content: space-between;
align-items: center;
user-select: none;
touch-action: pan-y;
width: 100%;
margin: 0 auto;
}
.slick-list {
position: relative;
display: block;
overflow: hidden;
margin: 0;
padding: 0;
}
.slick-list:focus {
outline: none;
}
.slick-list.dragging {
cursor: pointer;
cursor: hand;
}
.slick-slider .slick-track,
.slick-slider .slick-list {
    -webkit-transform: translate3d(0, 0, 0);
        -moz-transform: translate3d(0, 0, 0);
        -ms-transform: translate3d(0, 0, 0);
        -o-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0);
}
.slick-track {
    position: relative;
    top: 0;
    left: 0;
    display: block;
}
.slick-track:before,
.slick-track:after {
    display: table;
    content: '';
}
.slick-track:after {
    clear: both;
}
.slick-loading .slick-track {
    visibility: hidden;
}
.slick-slide {
    display: none;
    float: left;
    height: 100%;
    min-height: 1px;
}
[dir='rtl'] .slick-slide {
    float: right;
}
.slick-slide img {
    display: block;
}
.slick-slide.slick-loading img {
    display: none;
}
.slick-slide.dragging img {
    pointer-events: none;
}
.slick-initialized .slick-slide {
    display: block;
}
.slick-loading .slick-slide {
    visibility: hidden;
}
.slick-vertical .slick-slide {
    display: block;
    height: auto;
    border: 1px solid transparent;
}
.slick-arrow.slick-hidden {
    display: none;
}
.slide {
    transition: filter .4s;
    margin: 0px 40px;
}
.customer-logos{
    margin-bottom: 30px;
}
/* KONTAKT */
.kontakt{
    width: 100%;
    min-height: 350px;
    margin: 0;
    padding: 0;
    background: url(../img/mapa.jpg) no-repeat ;
    background-size: cover;
    object-fit: cover;
}
.kontakt img{
    position: absolute;
    width: 100%;
    height: auto;
    background-size: cover;
    object-fit: cover;
    opacity: 0.8;
    z-index: -1;
}
.kontakt-tittle-div{
    width: 100%;
    background-color: var(--color-sekunda1);
}
.kontakt-tittle{
    font-size: clamp(1rem, -0.875rem + 8.333vw, 3.5rem);
    text-align: center;
    text-transform: uppercase;
    color: var(--color-kvinta);
    font-weight: 900;
    letter-spacing: 0.15em;
    text-align: center;
}
.kontakt h2{
    color: var(--color-kvinta);
    margin: 30px 0;
    text-align: center;
    width: 100%;
}
.adrese{
    height: auto;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;
    padding: 1.5em;
    text-align: left;
}

.adrese a{
    text-decoration: none;
    color: var(--color-kvinta);
    margin-bottom: 20px;
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
    transition: all 0.5s;
}
.adrese a:hover{
    color: var(--color-oktava);
}
.adrese h3{
    text-align: left;
    color: var(--color-kvinta);
    margin-bottom: 5px;
}
.adresa, .tel, .fax, .email{
    margin-bottom: 25px;
    text-align: left;
    
}

.mapa svg{
    width: 200px;

}
/* ANIMATION */
.zoomInDown {
    -webkit-animation-name: zoomInDown;
    animation-name: zoomInDown;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    }
    @-webkit-keyframes zoomInDown {
    0% {
    opacity: 0;
    -webkit-transform: scale3d(.1, .1, .1) translate3d(0, -1000px, 0);
    transform: scale3d(.1, .1, .1) translate3d(0, -1000px, 0);
    -webkit-animation-timing-function: cubic-bezier(0.550, 0.055, 0.675, 0.190);
    animation-timing-function: cubic-bezier(0.550, 0.055, 0.675, 0.190);
    }
    60% {
    opacity: 1;
    -webkit-transform: scale3d(.475, .475, .475) translate3d(0, 60px, 0);
    transform: scale3d(.475, .475, .475) translate3d(0, 60px, 0);
    -webkit-animation-timing-function: cubic-bezier(0.175, 0.885, 0.320, 1);
    animation-timing-function: cubic-bezier(0.175, 0.885, 0.320, 1);
    }
    }
    @keyframes zoomInDown {
    0% {
    opacity: 0;
    -webkit-transform: scale3d(.1, .1, .1) translate3d(0, -1000px, 0);
    transform: scale3d(.1, .1, .1) translate3d(0, -1000px, 0);
    -webkit-animation-timing-function: cubic-bezier(0.550, 0.055, 0.675, 0.190);
    animation-timing-function: cubic-bezier(0.550, 0.055, 0.675, 0.190);
    }
    60% {
    opacity: 1;
    -webkit-transform: scale3d(.475, .475, .475) translate3d(0, 60px, 0);
    transform: scale3d(.475, .475, .475) translate3d(0, 60px, 0);
    -webkit-animation-timing-function: cubic-bezier(0.175, 0.885, 0.320, 1);
    animation-timing-function: cubic-bezier(0.175, 0.885, 0.320, 1);
    }
}
.zoomInLeft {
    -webkit-animation-name: zoomInLeft;
    animation-name: zoomInLeft;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation-delay: 1.2s;
    animation-delay: 1.2s;
    }
    @-webkit-keyframes zoomInLeft {
    0% {
    opacity: 0;
    -webkit-transform: scale3d(.1, .1, .1) translate3d(-1000px, 0, 0);
    transform: scale3d(.1, .1, .1) translate3d(-1000px, 0, 0);
    -webkit-animation-timing-function: cubic-bezier(0.550, 0.055, 0.675, 0.190);
    animation-timing-function: cubic-bezier(0.550, 0.055, 0.675, 0.190);
    }
    60% {
    opacity: 1;
    -webkit-transform: scale3d(.475, .475, .475) translate3d(10px, 0, 0);
    transform: scale3d(.475, .475, .475) translate3d(10px, 0, 0);
    -webkit-animation-timing-function: cubic-bezier(0.175, 0.885, 0.320, 1);
    animation-timing-function: cubic-bezier(0.175, 0.885, 0.320, 1);
    }
    }
    @keyframes zoomInLeft {
    0% {
    opacity: 0;
    -webkit-transform: scale3d(.1, .1, .1) translate3d(-1000px, 0, 0);
    transform: scale3d(.1, .1, .1) translate3d(-1000px, 0, 0);
    -webkit-animation-timing-function: cubic-bezier(0.550, 0.055, 0.675, 0.190);
    animation-timing-function: cubic-bezier(0.550, 0.055, 0.675, 0.190);
    }
    60% {
    opacity: 1;
    -webkit-transform: scale3d(.475, .475, .475) translate3d(10px, 0, 0);
    transform: scale3d(.475, .475, .475) translate3d(10px, 0, 0);
    -webkit-animation-timing-function: cubic-bezier(0.175, 0.885, 0.320, 1);
    animation-timing-function: cubic-bezier(0.175, 0.885, 0.320, 1);
    }
}
.zoomInRight {
    -webkit-animation-name: zoomInRight;
    animation-name: zoomInRight;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation-delay: 1.8s;
    animation-delay: 1.8s;
    }
    @-webkit-keyframes zoomInRight {
    0% {
    opacity: 0;
    -webkit-transform: scale3d(.1, .1, .1) translate3d(1000px, 0, 0);
    transform: scale3d(.1, .1, .1) translate3d(1000px, 0, 0);
    -webkit-animation-timing-function: cubic-bezier(0.550, 0.055, 0.675, 0.190);
    animation-timing-function: cubic-bezier(0.550, 0.055, 0.675, 0.190);
    }
    60% {
    opacity: 1;
    -webkit-transform: scale3d(.475, .475, .475) translate3d(-10px, 0, 0);
    transform: scale3d(.475, .475, .475) translate3d(-10px, 0, 0);
    -webkit-animation-timing-function: cubic-bezier(0.175, 0.885, 0.320, 1);
    animation-timing-function: cubic-bezier(0.175, 0.885, 0.320, 1);
    }
    }
    @keyframes zoomInRight {
    0% {
    opacity: 0;
    -webkit-transform: scale3d(.1, .1, .1) translate3d(1000px, 0, 0);
    transform: scale3d(.1, .1, .1) translate3d(1000px, 0, 0);
    -webkit-animation-timing-function: cubic-bezier(0.550, 0.055, 0.675, 0.190);
    animation-timing-function: cubic-bezier(0.550, 0.055, 0.675, 0.190);
    }
    60% {
    opacity: 1;
    -webkit-transform: scale3d(.475, .475, .475) translate3d(-10px, 0, 0);
    transform: scale3d(.475, .475, .475) translate3d(-10px, 0, 0);
    -webkit-animation-timing-function: cubic-bezier(0.175, 0.885, 0.320, 1);
    animation-timing-function: cubic-bezier(0.175, 0.885, 0.320, 1);
    }
}   
.zoomIn {
    -webkit-animation-name: zoomIn;
    animation-name: zoomIn;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation-delay: 2.6s;
    animation-delay: 2.6s;
    }
    @-webkit-keyframes zoomIn {
    0% {
    opacity: 0;
    -webkit-transform: scale3d(.3, .3, .3);
    transform: scale3d(.3, .3, .3);
    }
    50% {
    opacity: 1;
    }
    }
    @keyframes zoomIn {
    0% {
    opacity: 0;
    -webkit-transform: scale3d(.3, .3, .3);
    transform: scale3d(.3, .3, .3);
    }
    50% {
    opacity: 1;
    }
}
.slideInUp {
    -webkit-animation-name: slideInUp;
    animation-name: slideInUp;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    }
    @-webkit-keyframes slideInUp {
    0% {
    -webkit-transform: translateY(100%);
    transform: translateY(100%);
    visibility: hidden;
    }
    100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    }
    }
    @keyframes slideInUp {
    0% {
    -webkit-transform: translateY(100%);
    transform: translateY(100%);
    visibility: hidden;
    }
    80%{
        visibility: visible;
    }
    100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    }
    }  


    